---
title: "Get private collection"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › directory

`GET /v2/directory/collections/{collectionId}`

## Path parameters

- `collectionId` (`directory-get-private-collection.path.collectionId`; string, required)
  - format `uuid`

## Query parameters

- `actingPrincipal` (`directory-get-private-collection.query.actingPrincipal`; object, optional)
- `principalType` (`directory-get-private-collection.query.principalType`; string, optional)
  - one of `"user"`, `"entity"`, `"organization"`
- `principalId` (`directory-get-private-collection.query.principalId`; string, optional)
  - minLength 1; maxLength 255
- `privateBrowsing` (`directory-get-private-collection.query.privateBrowsing`; boolean, optional)
  - default `false`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/directory/collections/<collectionId>'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/directory/collections/<collectionId>';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/directory/collections/<collectionId>"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "description": "string",
    "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
    "content": {
      "reports": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "title": "string",
          "description": "string",
          "reportType": "string",
          "status": "string",
          "fiscalPeriodStart": "2019-08-24T14:15:22Z",
          "fiscalPeriodEnd": "2019-08-24T14:15:22Z",
          "data": {
            "property1": null,
            "property2": null
          },
          "createdAt": "2019-08-24T14:15:22Z",
          "updatedAt": "2019-08-24T14:15:22Z"
        }
      ],
      "creditInfoSheets": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "title": "string",
          "status": "string",
          "data": {
            "property1": null,
            "property2": null
          },
          "createdAt": "2019-08-24T14:15:22Z",
          "updatedAt": "2019-08-24T14:15:22Z"
        }
      ],
      "loanPackages": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "title": "string",
          "description": "string",
          "status": "string",
          "data": {
            "property1": null,
            "property2": null
          },
          "createdAt": "2019-08-24T14:15:22Z",
          "updatedAt": "2019-08-24T14:15:22Z"
        }
      ]
    },
    "artifacts": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "artifactType": "string",
        "filename": "string",
        "mimeType": "string",
        "byteSize": 0,
        "version": 0,
        "downloadUrl": "http://example.com",
        "accessExpiresAt": "2019-08-24T14:15:22Z"
      }
    ],
    "tokenAuthorization": {
      "walletAddress": "string",
      "tokenId": "string",
      "expiresAt": "2019-08-24T14:15:22Z"
    },
    "artifactAccessExpiresAt": "2019-08-24T14:15:22Z"
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`directory-get-private-collection.response.200.data`; object, required)
  - `id` (`directory-get-private-collection.response.200.data.id`; string, required)
    - format `uuid`
  - `name` (`directory-get-private-collection.response.200.data.name`; string, required)
  - `description` (`directory-get-private-collection.response.200.data.description`; string, required, nullable)
  - `entityId` (`directory-get-private-collection.response.200.data.entityId`; string, required, nullable)
    - format `uuid`
  - `content` (`directory-get-private-collection.response.200.data.content`; object, required)
    - `reports` (`directory-get-private-collection.response.200.data.content.reports`; array<object>, required)
      - `id` (`directory-get-private-collection.response.200.data.content.reports.id`; string, required)
        - format `uuid`
      - `title` (`directory-get-private-collection.response.200.data.content.reports.title`; string, required)
      - `description` (`directory-get-private-collection.response.200.data.content.reports.description`; string, required, nullable)
      - `reportType` (`directory-get-private-collection.response.200.data.content.reports.reportType`; string, required)
      - `status` (`directory-get-private-collection.response.200.data.content.reports.status`; string, required)
      - `fiscalPeriodStart` (`directory-get-private-collection.response.200.data.content.reports.fiscalPeriodStart`; string, required, nullable)
        - format `date-time`
      - `fiscalPeriodEnd` (`directory-get-private-collection.response.200.data.content.reports.fiscalPeriodEnd`; string, required, nullable)
        - format `date-time`
      - `data` (`directory-get-private-collection.response.200.data.content.reports.data`; map<unknown>, required, nullable)
      - `createdAt` (`directory-get-private-collection.response.200.data.content.reports.createdAt`; string, required)
        - format `date-time`
      - `updatedAt` (`directory-get-private-collection.response.200.data.content.reports.updatedAt`; string, required)
        - format `date-time`
    - `creditInfoSheets` (`directory-get-private-collection.response.200.data.content.creditInfoSheets`; array<object>, required)
      - `id` (`directory-get-private-collection.response.200.data.content.creditInfoSheets.id`; string, required)
        - format `uuid`
      - `title` (`directory-get-private-collection.response.200.data.content.creditInfoSheets.title`; string, required)
      - `status` (`directory-get-private-collection.response.200.data.content.creditInfoSheets.status`; string, required)
      - `data` (`directory-get-private-collection.response.200.data.content.creditInfoSheets.data`; map<unknown>, required)
      - `createdAt` (`directory-get-private-collection.response.200.data.content.creditInfoSheets.createdAt`; string, required)
        - format `date-time`
      - `updatedAt` (`directory-get-private-collection.response.200.data.content.creditInfoSheets.updatedAt`; string, required)
        - format `date-time`
    - `loanPackages` (`directory-get-private-collection.response.200.data.content.loanPackages`; array<object>, required)
      - `id` (`directory-get-private-collection.response.200.data.content.loanPackages.id`; string, required)
        - format `uuid`
      - `title` (`directory-get-private-collection.response.200.data.content.loanPackages.title`; string, required)
      - `description` (`directory-get-private-collection.response.200.data.content.loanPackages.description`; string, required, nullable)
      - `status` (`directory-get-private-collection.response.200.data.content.loanPackages.status`; string, required)
      - `data` (`directory-get-private-collection.response.200.data.content.loanPackages.data`; map<unknown>, required)
      - `createdAt` (`directory-get-private-collection.response.200.data.content.loanPackages.createdAt`; string, required)
        - format `date-time`
      - `updatedAt` (`directory-get-private-collection.response.200.data.content.loanPackages.updatedAt`; string, required)
        - format `date-time`
  - `artifacts` (`directory-get-private-collection.response.200.data.artifacts`; array<object>, required)
    - `id` (`directory-get-private-collection.response.200.data.artifacts.id`; string, required)
      - format `uuid`
    - `artifactType` (`directory-get-private-collection.response.200.data.artifacts.artifactType`; string, required)
    - `filename` (`directory-get-private-collection.response.200.data.artifacts.filename`; string, required)
    - `mimeType` (`directory-get-private-collection.response.200.data.artifacts.mimeType`; string, required)
    - `byteSize` (`directory-get-private-collection.response.200.data.artifacts.byteSize`; integer, required, nullable)
    - `version` (`directory-get-private-collection.response.200.data.artifacts.version`; integer, required)
    - `downloadUrl` (`directory-get-private-collection.response.200.data.artifacts.downloadUrl`; string, required)
      - format `uri`
    - `accessExpiresAt` (`directory-get-private-collection.response.200.data.artifacts.accessExpiresAt`; string, required)
      - format `date-time`
  - `tokenAuthorization` (`directory-get-private-collection.response.200.data.tokenAuthorization`; object, required)
    - `walletAddress` (`directory-get-private-collection.response.200.data.tokenAuthorization.walletAddress`; string, required)
    - `tokenId` (`directory-get-private-collection.response.200.data.tokenAuthorization.tokenId`; string, required)
    - `expiresAt` (`directory-get-private-collection.response.200.data.tokenAuthorization.expiresAt`; string, required, nullable)
      - format `date-time`
  - `artifactAccessExpiresAt` (`directory-get-private-collection.response.200.data.artifactAccessExpiresAt`; string, required, nullable)
    - format `date-time`
- `meta` (`directory-get-private-collection.response.200.meta`; object, optional)
  - `timestamp` (`directory-get-private-collection.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-get-private-collection.response.400.error`; object, required)
  - `code` (`directory-get-private-collection.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-get-private-collection.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`directory-get-private-collection.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-get-private-collection.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-get-private-collection.response.401.error`; object, required)
  - `code` (`directory-get-private-collection.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-get-private-collection.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`directory-get-private-collection.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-get-private-collection.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-get-private-collection.response.403.error`; object, required)
  - `code` (`directory-get-private-collection.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-get-private-collection.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`directory-get-private-collection.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-get-private-collection.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-get-private-collection.response.404.error`; object, required)
  - `code` (`directory-get-private-collection.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-get-private-collection.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`directory-get-private-collection.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-get-private-collection.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-get-private-collection.response.409.error`; object, required)
  - `code` (`directory-get-private-collection.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-get-private-collection.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`directory-get-private-collection.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-get-private-collection.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 429

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-get-private-collection.response.429.error`; object, required)
  - `code` (`directory-get-private-collection.response.429.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-get-private-collection.response.429.error.message`; string, required) — Human-readable error message
  - `details` (`directory-get-private-collection.response.429.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-get-private-collection.response.429.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-get-private-collection.response.500.error`; object, required)
  - `code` (`directory-get-private-collection.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-get-private-collection.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`directory-get-private-collection.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-get-private-collection.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`directory-get-private-collection.response.503.error`; object, required)
  - `code` (`directory-get-private-collection.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`directory-get-private-collection.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`directory-get-private-collection.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`directory-get-private-collection.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/directory-get-private-collection/index.md
